Issue 38957 - Missing Any <<= bool operator
Missing Any <<= bool operator
Status: CLOSED FIXED
Product: udk
Classification: Code
Component: code
680m65
All All
: P3 trivial (vote)
: OOo 2.0
Assigned To: Daniel Boelzle [:dbo]
issues@udk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 10:13 UTC by Daniel Boelzle [:dbo]
Modified: 2005-01-30 16:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Daniel Boelzle [:dbo] 2004-12-14 10:13:30 UTC
missing

void SAL_CALL operator <<= ( Any & rAny, bool const & value );

this currently leads to use of templated version

void SAL_CALL operator <<= ( Any & rAny, const C & value );

which uses wrong data layout (bool given, expected sal_Bool).
Comment 1 Daniel Boelzle [:dbo] 2004-12-29 14:48:10 UTC
additionally added for convenience:
void Any::get< C++-UNO-type >() const;
bool Any::has< C++-UNO-type >() const;
When bein used with ambiguous types sal_Unicode, sal_uInt16, this will result
either in compilation or link error (depends on compiler).
Comment 2 Daniel Boelzle [:dbo] 2004-12-29 15:59:51 UTC
additionally added for convenience:
template <typenmame T>
Any::Any( T const & value );
Any::Any( bool value );
Comment 3 Daniel Boelzle [:dbo] 2005-01-08 15:08:36 UTC
.
Comment 4 Daniel Boelzle [:dbo] 2005-01-30 16:35:54 UTC
closed.